#!/bin/bash
set -eu;
readonly ROOT="$(realpath "$(dirname "$0")/..")";

pushd .;
cd ""${ROOT}"";

printf "This script requires the \"aseprite\" binary in the path.\\n";
for i in $(seq 0 3);
do
    aseprite ""${ROOT}"/src/blindingsquares.aseprite" --batch --crop 0,0,7,7 --frame-range "${i}","${i}" --save-as ""${ROOT}"/export/blindingsquares__frame_"${i}".gif";
done;

popd;
